### Method

# Soup Message set_request_body_from_bytes

#### Declaration [src]

    void
    soup_message_set_request_body_from_bytes (
      SoupMessage* msg,
      const char* content_type,
      GBytes* bytes
    )

#### Description [src]

Set the request body of a `SoupMessage` from `GBytes`.

If `content_type` is `NULL` and `bytes` is not `NULL` the Content-Type header will not be changed if present. The request body needs to be set again in case `msg` is restarted (in case of redirection or authentication).

#### Parameters

`content_type`

  Type: `const char*`

  MIME Content-Type of the body, or `NULL` if unknown.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  A `GBytes` with the request body data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.